System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The methods and properties of the class are exposed through the intrinsic object provided by ASP.NET.

Provides helper methods for processing Web requests.

- Method
  System.Void To be added

  Clears the previous exception.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` To be added

  Creates a server instance of a COM object identified by the object's programmatic identifier (ProgID).

  The new object.

  The class or type of object to create an instance of. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` To be added

  Creates a server instance of a COM object identified by the object's type.

  The new object.

  A representing the object to create. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` To be added

  Creates a server instance of a COM object identified by the object's class identifier (CLSID).

  The new object.

  The class identifier of the object to create an instance of. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method continues execution of the original page after execution of the new page is completed. The method unconditionally transfers execution to another handler.

  ASP.NET does not verify that the current user is authorized to view the resource delivered by the method. Although the ASP.NET authorization and authentication logic runs before the original resource handler is called, ASP.NET directly calls the handler indicated by the method and does not rerun authentication and authorization logic for the new resource. If your application's security policy requires clients to have appropriate authorization to access the resource, the application should force reauthorization or provide a custom access-control mechanism.

  You can force reauthorization by using the method instead of the method. performs a client-side redirect in which the browser requests the new resource. Because this redirect is a new request entering the system, it is subjected to all the authentication and authorization logic of both Internet Information Services (IIS) and ASP.NET security policy.

  You can verify that the user has permission to view the resource by incorporating a custom authorization method that uses the method before the application calls the method.

  Executes the handler for the specified virtual path in the context of the current request.

  The URL path to execute. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Executes the handler for the specified virtual path in the context of the current request and specifies whether to clear the and collections.

  The URL path to execute. true to preserve the and collections; false to clear the and collections.
- Method
  System.Void `` ``

  The method continues execution of the original request after execution of the virtual path specified is completed. The method unconditionally transfers execution to another handler.

  ASP.NET does not verify that the current user is authorized to view the resource delivered by the method. Although the ASP.NET authorization and authentication logic runs before the original resource handler is called, ASP.NET directly calls the handler indicated by the method and does not rerun authentication and authorization logic for the new resource. If your application's security policy requires clients to have appropriate authorization to access the resource, the application should force reauthorization or provide a custom access-control mechanism.

  You can force reauthorization by using the method instead of the method. performs a client-side redirect in which the browser requests the new resource. Because this redirect is a new request entering the system, it is subjected to all the authentication and authorization logic of both Internet Information Services (IIS) and ASP.NET security policy.

  You can verify that the user has permission to view the resource by incorporating a custom authorization method that uses the method before the application calls the method.

  Executes the handler for the specified virtual path in the context of the current request. A captures output from the executed handler.

  The URL path to execute. The to capture the output. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The method continues execution of the original request after execution of the specified virtual path is completed. The method unconditionally transfers execution to another handler.

  ASP.NET does not verify that the current user is authorized to view the resource delivered by the method. Although the ASP.NET authorization and authentication logic runs before the original resource handler is called, ASP.NET directly calls the handler indicated by the method and does not rerun authentication and authorization logic for the new resource. If your application's security policy requires clients to have appropriate authorization to access the resource, the application should force reauthorization or provide a custom access-control mechanism.

  You can force reauthorization by using the method instead of the method. performs a client-side redirect in which the browser requests the new resource. Because this redirect is a new request entering the system, it is subjected to all the authentication and authorization logic of both Internet Information Services (IIS) and ASP.NET security policy.

  You can verify that the user has permission to view the resource by incorporating a custom authorization method that uses the method before the application calls the method.

  Executes the handler for the specified virtual path in the context of the current request. A captures output from the page and a Boolean parameter specifies whether to clear the and collections.

  The URL path to execute. The to capture the output. true to preserve the and collections; false to clear the and collections. 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` ``

  You can write custom HTTP handlers to process specific, predefined types of HTTP requests in any language that is compliant with the Common Language Specification (CLS). Executable code that is defined in the HTTP handler classes instead of conventional ASP (also known as classic ASP) pages or ASP.NET pages responds to these specific requests. HTTP handlers allow for interacting with the low-level request and response services of a Web server that is running Internet Information Services (IIS), and they provide functionality that is similar to ISAPI extensions but with a simpler programming model.

  ASP.NET does not verify that the current user is authorized to view the resource that is delivered by the method. Although the ASP.NET authorization and authentication logic runs before the original resource handler is called, ASP.NET directly calls the handler that is indicated by the method and does not rerun authentication and authorization logic for the new resource. If the security policy for your application requires clients to have appropriate authorization to gain access to the resource, the application should force reauthorization or provide a custom access-control mechanism.

  You can force reauthorization by using the method instead of the method. The performs a client-side redirect in which the browser requests the new resource. Because this redirect is a new request entering the system, it is subjected to all the authentication and authorization logic of both the IIS and ASP.NET security policy.

  You can verify that the user has permission to view the resource by incorporating a custom authorization method that uses the method before the application calls the method.

  Executes the handler for the specified virtual path in the context of the current request. A captures output from the executed handler and a Boolean parameter specifies whether to clear the and collections.

  The HTTP handler that implements the to transfer the current request to. The to capture the output. true to preserve the and collections; false to clear the and collections.
- Method
  System.Exception To be added

  Returns the previous exception.

  The previous exception that was thrown.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  HTML encoding makes sure that text is displayed correctly in the browser and not interpreted by the browser as HTML. For example, if a text string contains a less than sign (<) or greater than sign (>), the browser would interpret these characters as the opening or closing bracket of an HTML tag. When the characters are HTML encoded, they are converted to the strings &lt; and &gt;, which causes the browser to display the less than sign and greater than sign correctly. decodes text that has been transmitted to the server.

  This method is a convenient way to access the method at run time from an ASP.NET application. Internally, this method uses to decode strings.

  In the code-behind file for an ASP.NET web page, access an instance of the class through the Server property. In a class that is not in a code-behind file, use HttpContext.Current.Server to access an instance of the class.

  Outside of a web application, use the class to encode or decode values.

  Decodes an HTML-encoded string and returns the decoded string.

  The decoded text.

  The HTML string to decode. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  HTML encoding makes sure that text is displayed correctly in the browser and not interpreted by the browser as HTML. For example, if a text string contains a less than sign (<) or greater than sign (>), the browser would interpret these characters as the opening or closing bracket of an HTML tag. When the characters are HTML encoded, they are converted to the strings &lt; and &gt;, which causes the browser to display the less than sign and greater than sign correctly.

  decodes text that has been transmitted to the server.

  is a convenient way to access the method at run time from an ASP.NET application. Internally, uses to decode strings.

  To encode or decode values outside of a web application, use the class.

  Decodes an HTML-encoded string and sends the resulting output to a output stream.

  The HTML string to decode. The output stream that contains the decoded string. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  HTML encoding makes sure that text is displayed correctly in the browser and not interpreted by the browser as HTML. For example, if a text string contains a less than sign (<) or greater than sign (>), the browser would interpret these characters as the opening or closing bracket of an HTML tag. When the characters are HTML encoded, they are converted to the strings &lt; and &gt;, which causes the browser to display the less than sign and greater than sign correctly.

  This method is a convenient way to access the method at run time from an ASP.NET application. Internally, this method uses to encode strings.

  In the code-behind file for an ASP.NET web page, access an instance of the class through the Server property. In a class that is not in a code-behind file, use HttpContext.Current.Server to access an instance of the class.

  Outside of a web application, use the class to encode or decode values.

  HTML-encodes a string and returns the encoded string.

  The HTML-encoded text.

  The text string to encode. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  HTML encoding ensures that text will be correctly displayed in the browser, not interpreted by the browser as HTML. For example, if a text string contains a less than sign (<) or greater than sign (>), the browser would interpret these characters as an opening or closing bracket of an HTML tag. The HTML encoding of these two characters is &lt; and &gt;, respectively, which causes the browser to display the less than sign and greater than sign correctly.

  is a convenient way to access the method at run time from an ASP.NET application. Internally, uses to encode strings.

  To encode or decode values outside of a web application, use the class.

  HTML-encodes a string and sends the resulting output to a output stream.

  The string to encode. The output stream that contains the encoded string. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the server's computer name.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  If is null, then the method returns the full physical path of the directory that contains the current application.

  The method potentially contains sensitive information about the hosting environment. The return value should not be displayed to users.

  Returns the physical file path that corresponds to the specified virtual path on the Web server.

  The physical file path that corresponds to .

  The virtual path of the Web server. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The property can be set in the Web.config file by setting the executionTimeout attribute of the httpRuntime element. Setting the time-out programmatically with the property takes precedence over the Web.config setting.

  If you set the debug attribute of the compilation element to true in the Web.config file, the value of will be ignored.

  Gets and sets the request time-out value in seconds.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The page transferred to should be another .aspx page. For instance, a transfer to an .asp or .asmx page is not valid. The method preserves the and collections.

  calls , which throws a exception upon completion.

  ASP.NET does not verify that the current user is authorized to view the resource delivered by the method. Although the ASP.NET authorization and authentication logic runs before the original resource handler is called, ASP.NET directly calls the handler indicated by the method and does not rerun authentication and authorization logic for the new resource. If your application's security policy requires clients to have appropriate authorization to access the resource, the application should force reauthorization or provide a custom access-control mechanism.

  You can force reauthorization by using the method instead of the method. The method performs a client-side redirect in which the browser requests the new resource. Because this redirect is a new request entering the system, it is subjected to all the authentication and authorization logic of both Internet Information Services (IIS) and ASP.NET security policy.

  You can verify that the user has permission to view the resource by incorporating a custom authorization method that uses the method before the application calls the method.

  For the current request, terminates execution of the current page and starts execution of a new page by using the specified URL path of the page.

  The URL path of the new page on the server to execute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The page transferred to should be another .aspx page. For instance, a transfer to an .asp or .asmx page is not valid.

  calls , which throws a exception upon completion.

  If you set the parameter to true, the target page will be able to access the view state of the previous page by using the property.

  For security purposes, you should keep the enableViewStateMac attribute set to true. ASP.NET does not verify that the current user is authorized to view the resource delivered by the method. Although the ASP.NET authorization and authentication logic runs before the original resource handler is called, ASP.NET directly calls the handler indicated by the method and does not rerun authentication and authorization logic for the new resource. If your application's security policy requires clients to have appropriate authorization to access the resource, the application should force reauthorization or provide a custom access-control mechanism.

  You can force reauthorization by using the method instead of the method. The method performs a client-side redirect in which the browser requests the new resource. Because this redirect is a new request entering the system, it is subjected to all the authentication and authorization logic of both Internet Information Services (IIS) and ASP.NET security policy.

  You can verify that the user has permission to view the resource by incorporating a custom authorization method that uses the method before the application calls the method.

  Terminates execution of the current page and starts execution of a new page by using the specified URL path of the page. Specifies whether to clear the and collections.

  The URL path of the new page on the server to execute. true to preserve the and collections; false to clear the and collections. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  You can write custom HTTP handlers to process specific, predefined types of HTTP requests in any language that is compliant with the Common Language Specification (CLS). Executable code that is defined in the HTTP handler classes instead of conventional ASP (also known as classic ASP) pages or ASP.NET pages responds to these specific requests. HTTP handlers allow for interacting with the low-level request and response services of a Web server that is running Internet Information Services (IIS), and they provide functionality that is similar to ISAPI extensions but with a simpler programming model.

  If you set the parameter to true, the target page will be able to access the view state of the previous page by using the property.

  For security purposes, you should keep the enableViewStateMac attribute set to true. ASP.NET does not verify that the current user is authorized to view the resource delivered by the method. Although the ASP.NET authorization and authentication logic runs before the original resource handler is called, ASP.NET directly calls the handler indicated by the method, and does not rerun authentication and authorization logic for the new resource. If the security policy for your application requires clients to have appropriate authorization to access the resource, the application should force reauthorization or provide a custom access-control mechanism.

  You can force reauthorization by using the method instead of the method. The method performs a client-side redirect in which the browser requests the new resource. Because this redirect is a new request entering the system, it is subjected to all the authentication and authorization logic of both the IIS and ASP.NET security policy.

  You can verify that the user has permission to view the resource by incorporating a custom authorization method that uses the method before the application calls the method.

  Terminates execution of the current page and starts execution of a new request by using a custom HTTP handler that implements the interface and specifies whether to clear the and collections.

  The HTTP handler that implements the to transfer the current request to. true to preserve the and collections; false to clear the and collections.
- Method
  System.String ``

  URL encoding ensures that all browsers will correctly transmit text in URL strings. Characters such as a question mark (?), ampersand (&), slash mark (/), and spaces might be truncated or corrupted by some browsers. As a result, these characters must be encoded in <a> tags or in query strings where the strings can be re-sent by a browser in a request string.

  This method is a convenient way to access the method at run time from an ASP.NET application. Internally, this method uses to decode strings.

  In the code-behind file for an ASP.NET web page, access an instance of the class through the Server property. In a class that is not in a code-behind file, use HttpContext.Current.Server to access an instance of the class.

  Outside of a web application, use the class to encode or decode values.

  URL-decodes a string and returns the decoded string.

  The decoded text.

  The text string to decode. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  URL encoding ensures that all browsers will correctly transmit text in URL strings. Characters such as a question mark (?), ampersand (&), slash mark (/), and spaces might be truncated or corrupted by some browsers. As a result, these characters must be encoded in <a> tags or in query strings where the strings can be re-sent by a browser in a request string.

  is a convenient way to access the method at run time from an ASP.NET application. Internally, uses to decode strings.

  To encode or decode values outside of a web application, use the class.

  Decodes an HTML string received in a URL and sends the resulting output to a output stream.

  The HTML string to decode. The output stream that contains the decoded string. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  URL encoding ensures that all browsers will correctly transmit text in URL strings. Characters such as a question mark (?), ampersand (&), slash mark (/), and spaces might be truncated or corrupted by some browsers. As a result, these characters must be encoded in <a> tags or in query strings where the strings can be re-sent by a browser in a request string.

  This method is a convenient way to access the method at run time from an ASP.NET application. Internally, this method uses to encode strings.

  In the code-behind file for an ASP.NET web page, access an instance of the class through the Server property. In a class that is not in a code-behind file, use HttpContext.Current.Server to access an instance of the class.

  Outside of a web application, use the class to encode or decode values.

  URL-encodes a string and returns the encoded string.

  The URL-encoded text.

  The text to URL-encode. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  URL encoding ensures that all browsers will correctly transmit text in URL strings. Characters such as a question mark (?), ampersand (&), slash mark (/), and spaces might be truncated or corrupted by some browsers. As a result, these characters must be encoded in <a> tags or in query strings where the strings can be re-sent by a browser in a request string.

  is a convenient way to access the method at run time from an ASP.NET application. Internally, uses to encode strings.

  To encode or decode values outside of a web application, use the class.

  URL-encodes a string and sends the resulting output to a output stream.

  The text string to encode. The output stream that contains the encoded string. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Do not use; intended only for browser compatibility. Use .

  The URL encoded text.

  The text to URL-encode. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Byte[] ``

  The method converts a URL string token, which encodes binary data as base 64 digits, to its equivalent byte array representation. Use the method to decode tokens transmitted on the URL and encoded by using the .

  The method will return an empty byte array if the parameter has a length of less than one.

  Decodes a URL string token to its equivalent byte array using base 64 digits.

  The byte array containing the decoded URL string token.

  The URL string token to decode.
- Method
  2.0.0.0
  System.String ``

  The method converts a byte array into an equivalent string representation encoded with base 64 digits. The resulting string token can be transmitted on the URL.

  The will return an empty string if the parameter has a length of less than one.

  Encodes a byte array into its equivalent string representation using base 64 digits, which is usable for transmission on the URL.

  The string containing the encoded token if the byte array length is greater than one; otherwise, an empty string ("").

  The byte array to encode.